#include <iostream>
using namespace std;
long long a[10000];
int main()
{
    long long N,br=0,counter=0,lqvo=0,dqsno=0;
    cin>>N;
    for(int g=0;g<N;g++)
    {
        cin>>a[g];
    }
    for(int g=0;g<N;g++)
    {
        a[g]%=2;
    }
    for(int g=0;g<N;g++)
    {
        if(a[g]==0)
        {
            lqvo=(g-counter)+1;
            dqsno=N-g;
            br+=lqvo*dqsno;
            counter=g+1;
        }
    }
    cout<<br;
    return 0;
}
